\name{granova-package}
\alias{PSAgraphics-package}
\alias{PSAgraphics}
\docType{package}
\title{
Graphical Analysis of Variance
}
\description{
A collection of functions that primarily produce graphics to aid in a
  Propensity Score Analysis (PSA).  Functions include: cat.psa and box.psa to test
  balance within strata of categorical and quantitative covariates,
  circ.psa for a representation of the estimated effect size by stratum,
  loess.psa that provides a graphic and loess based effect size estimate,
  and various balance functions that provide measures of the balance achieved
  via a PSA in a categorical covariate.
}
\details{
\tabular{ll}{
Package: \tab PSAgraphics\cr
Version: \tab 1.1\cr
License: \tab GPL (>= 2)\cr
}
}

\author{
James E. Helmreich <James.Helmreich@Marist.edu> and Robert M. Pruzek <RMPruzek@yahoo.com> 

Maintainer: James E. Helmreich <James.Helmreich@Marist.edu>
}

\seealso{


\code{\link{box.psa}}
\code{\link{cat.psa}}
\code{\link{circ.psa}}
\code{\link{loess.psa}}
\code{\link{bal.ks.psa}}
\code{\link{bal.ms.psa}}
\code{\link{bal.fe.psa}}
}


\keyword{hplot}


